# Uses of Class
org.springframework.aot.generate.GeneratedFiles.FileHandler

Packages that use GeneratedFiles.FileHandler
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GeneratedFiles.FileHandler in org.springframework.aot.generate

Method parameters in org.springframework.aot.generate with type arguments of type GeneratedFiles.FileHandler
Modifier and Type
Method
Description
`void`
FileSystemGeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`
`void`
GeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`
Handle a generated file of the specified `GeneratedFiles.Kind` with the given handler.
`void`
InMemoryGeneratedFiles.`handleFile(GeneratedFiles.Kind kind, String path, ThrowingConsumer<GeneratedFiles.FileHandler> handler)`